fit.g <- function(formula.AW, family.AW, data){
  if (family.AW == "binomial"){
    g.fit <- glm(formula.AW, family=family.AW, data=data)
    gn1 <- predict(g.fit, type="response")
    gn.mat <- cbind(1-gn1, gn1)
  }else if (family.AW == "multinomial"){
    gn.fit <- multinom(formula.AW,data=data)
    gn.mat <- predict(gn.fit,data,type="probs")    
  }else{
    stop("Argument supplied for family.AW currently not supported.")
  }
  gn.mat
}
