get.truth <- function(formula.msm, msm.family, data, Qn.mat, name.Y, name.A, script.A){

  ## The true parameter value under the estimated
  ## data-generating distribution
  da <- NULL
  for (j in 1:ncol(Qn.mat)){
    d <- data
    d[,name.A] <- script.A[j]
    d[,name.Y] <- Qn.mat[,j]
    da <- rbind(da, d)
  }

  if (msm.family == "binomial"){
    old <- options("warn")$warn
    options(warn=-1)
  }

  msm.fit0 <- glm(formula.msm, family=msm.family, data=da)
  if (msm.family == "binomial") options(warn=old)

  
  msm.fit0
}
